| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.ModelView.CellRendererToggle

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes
Signals
Deprecated

Description
Renders a toggle button in a cell
Synopsis

data CellRendererToggle
class CellRendererClass o => CellRendererToggleClass o
castToCellRendererToggle :: GObjectClass obj => obj -> CellRendererToggle
toCellRendererToggle :: CellRendererToggleClass o => o -> CellRendererToggle
cellRendererToggleNew :: IO CellRendererToggle
cellRendererToggleGetRadio :: CellRendererToggleClass self => self -> IO Bool
cellRendererToggleSetRadio :: CellRendererToggleClass self => self -> Bool -> IO ()
cellRendererToggleGetActive :: CellRendererToggleClass self => self -> IO Bool
cellRendererToggleSetActive :: CellRendererToggleClass self => self -> Bool -> IO ()
cellToggleActive :: CellRendererToggleClass self => Attr self Bool
cellToggleInconsistent :: CellRendererToggleClass self => Attr self Bool
cellToggleActivatable :: CellRendererToggleClass self => Attr self Bool
cellToggleRadio :: CellRendererToggleClass self => Attr self Bool
cellToggleIndicatorSize :: CellRendererToggleClass self => Attr self Int
cellToggled :: CellRendererToggleClass self => Signal self (String -> IO ())
onCellToggled :: CellRendererToggleClass self => self -> (String -> IO ()) -> IO (ConnectId self)
afterCellToggled :: CellRendererToggleClass self => self -> (String -> IO ()) -> IO (ConnectId self)

Detail
`CellRendererToggle` renders a toggle button in a cell. The button is drawn as a radio or checkbutton, depending on the radio property. When activated, it emits the toggled signal.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----CellRenderer
     |               +----CellRendererToggle

Types
data CellRendererToggle

Instances

GObjectClass CellRendererToggle
CellRendererToggleClass CellRendererToggle
CellRendererClass CellRendererToggle
ObjectClass CellRendererToggle

class CellRendererClass o => CellRendererToggleClass o

Instances

CellRendererToggleClass CellRendererToggle

castToCellRendererToggle :: GObjectClass obj => obj -> CellRendererToggle
toCellRendererToggle :: CellRendererToggleClass o => o -> CellRendererToggle
Constructors
cellRendererToggleNew :: IO CellRendererToggle

Creates a new `CellRendererToggle`. Adjust rendering parameters using object properties. Object properties can be set globally (with System.Glib.Attributes.set). Also, within a Graphics.UI.Gtk.ModelView.TreeViewColumn, you can bind a property to a value in a Graphics.UI.Gtk.ModelView.TreeModel.TreeModel using Graphics.UI.Gtk.ModelView.CellLayout.cellLayoutSetAttributes. For example, you can bind the `cellToggleActive` property on the cell renderer to a boolean value in the model, thus causing the check button to reflect the state of the model.

Methods
cellRendererToggleGetRadio

:: CellRendererToggleClass self |
=> self |
-> IO Bool | returns `True` if we're rendering radio toggles rather than checkboxes
Returns whether we're rendering radio toggles rather than checkboxes.

cellRendererToggleSetRadio

:: CellRendererToggleClass self |
=> self |
-> Bool | `radio` - `True` to make the toggle look like a radio button
-> IO () |

If `radio` is `True`, the cell renderer renders a radio toggle (i.e. a toggle in a group of mutually-exclusive toggles). If `False`, it renders a check toggle (a standalone boolean option). This can be set globally for the cell renderer, or changed just before rendering each cell in the model (for `TreeView`, you set up a per-row setting using `TreeViewColumn` to associate model columns with cell renderer properties).

cellRendererToggleGetActive

:: CellRendererToggleClass self |
=> self |
-> IO Bool | returns `True` if the cell renderer is active.
Returns whether the cell renderer is active. See `cellRendererToggleSetActive`.

cellRendererToggleSetActive

:: CellRendererToggleClass self |
=> self |
-> Bool | `setting` - the value to set.
-> IO () |
Activates or deactivates a cell renderer.

Attributes
cellToggleActive :: CellRendererToggleClass self => Attr self Bool
The toggle state of the button. Default value: `False`
cellToggleInconsistent :: CellRendererToggleClass self => Attr self Bool
The inconsistent state of the button. Default value: `False`
cellToggleActivatable :: CellRendererToggleClass self => Attr self Bool
The toggle button can be activated. Default value: `True`
cellToggleRadio :: CellRendererToggleClass self => Attr self Bool
Draw the toggle button as a radio button. Default value: `False`
cellToggleIndicatorSize :: CellRendererToggleClass self => Attr self Int
Size of check or radio indicator. Allowed values: >= 0 Default value: 12
Signals
cellToggled :: CellRendererToggleClass self => Signal self (String -> IO ())
The `cellToggled` signal is emitted when the cell is toggled.
Deprecated
onCellToggled :: CellRendererToggleClass self => self -> (String -> IO ()) -> IO (ConnectId self)
afterCellToggled :: CellRendererToggleClass self => self -> (String -> IO ()) -> IO (ConnectId self)
Produced by Haddock version 2.4.2